Subject: bug#73813: 30.0.91; icomplete-mode keymap unusable in xterm for for/backward completions

From: Robert Pluim <[email-masked]>
Date: Fri, 18 Oct 2024 13:54:32 +0200

>>>>> On Thu, 17 Oct 2024 15:53:18 +0000, Van Ly <[email-masked]> said:

    Van> Robert Pluim <[email-masked]> writes:

    >>>>>>> On Thu, 17 Oct 2024 12:46:36 +0000, Van Ly <[email-masked]> said:

    Van> I'd put icomplete-mode and icomplete-vertical-mode in the same category
    Van> for binding interop.
    >> 
    >> So that would be this:
    >> 
    >> diff --git a/lisp/icomplete.el b/lisp/icomplete.el
    >> index 540ed2b5819..05914b24d2c 100644
    >> --- a/lisp/icomplete.el
    >> +++ b/lisp/icomplete.el
    >> @@ -178,6 +178,8 @@ icomplete-minibuffer-map
    >> :doc "Keymap used by `icomplete-mode' in the minibuffer."
    >> "C-M-i" #'icomplete-force-complete
    >> "C-j"   #'icomplete-force-complete-and-exit
    >> +  "C-n"   #'icomplete-forward-completions
    >> +  "C-p"   #'icomplete-backward-completions
    >> "C-."   #'icomplete-forward-completions
    >> "C-,"   #'icomplete-backward-completions
    >> "<remap> <minibuffer-complete-and-exit>" #'icomplete-ret)
    >> 

    Van> Yes, please.

João, you used "C-s" and "C-r" when adding `icomplete-fido-mode', and
`icomplete-vertical' mode uses "C-n" and "C-p". My intuition is
failing me as to which would be more consistent (adding both seems
like overkill).

    >> I donʼt use icomplete or fido, so I have no real opinion to offer
    >> here, except that it would be nice to have bindings that work without
    >> having to modify xtermʼs configuration.

    Van> I agree.

Robert
--